<style>
*{
   font-weight: 550;
   font-size: 9px;

}

#impresion{
   width:180px;
  
   margin: 0;
 
 padding: 0;
 
 
}
#titulo {
   
   margin: 0;
   text-align: center;
   padding: 0;
   
}

#titulo h6{
  
}
#tr{
   
   justify-content:  space-around;
}
h6{
   margin: 0;
   
   padding: 0;

}


.item{
margin-right: 1px;

}
p {margin: 0; padding: 0;

}
.produ{
   text-align: left;
}

#totalll{
   text-align: center;

}
.reso{
   margin: 0;
   text-align: left;
   padding: 0;
;

  
}
#comentario{
  
   text-align: left;
width:90%;
word-wrap: break-word;
  
  

}

</style>
<?php
$bodega=$_POST["bodega"];
include("datosimpresion.php");
?>
<div id="impresion" >




<div id="titulo">
<?php
   if($logo==""){
      echo(" <h6>  $nombreNegocio</h6>
      <h6> $direccion</h6>
      ");

   }else{
      echo("<img src='facturacion/$logo' alt='' width='170' height='50'>  </img>
      <br>
         
      <h6>$direccion</h6>

      ");    
    
   }

   
   ?>

</div>

<?php

use PhpParser\Node\Expr\Isset_;

$idc=$_POST["idc"];
$nombrec=$_POST["nombrec"];
$direc=$_POST["direc"];
$nombrev=$_POST["nombrev"];
$fecha=$_POST["fecha"];
$factura=$_POST["numf"];
$telclien=$_POST["telcli"];
$detallef=$_POST["detallef"];
$descuento=$_POST["descuento"];
$servicio=$_POST["servicio"];

print("<br>");
print("<h6 class='empresa'>".$representante."</h6> ");
print(" <h6 class='empresa'>Nit:".$nit."</h6>  ");
print(" <h6 class='empresa'>$regimen </h6>");
print(" <h6 class='empresa'>Tel: ".$tel." </h6> ");

     

        echo("<hr>");
          
print("<p>Preventa No: ".$factura.  " Fecha: ".$fecha." </p>");
print("<p>Cliente: ".$idc. "</p>");
print("<p>Tel:  ".$telclien. "</p>");
print("<p>Nombre:".$nombrec  ." </p>");
print("<p>Direc: ".$direc ." </p>");
print("<p>Asesor:".$nombrev." </p>");

echo("<hr>");
print("<div id='titulo'><h6>Detalle Preventa</h6> ");
echo("<hr >");


print("<div id='comentario' >Comentario: $detallef </div>");
echo("<hr >");


$produc=$_POST["factura"];
$fila = json_decode($produc,true);  
$total=$_POST["total"];
//regimen comun
$iva5=(int) $_POST["iva5"];
$iva19=(int)$_POST["iva19"];
$base5=(int)$_POST["base5"];
$base19=(int)$_POST["base19"];
$excento=(int)$_POST["excento"];
$totaliva=(int)$iva5+$iva19;
$excluido=(int)$_POST["excluido"];
//$cambio=(int)$_POST["devuleta"];
$subtotal=$base19+$base5+$excento+$excluido;

//fin regimen comun



//mostrar codigos de productos
$mostrarCodig=["1","31330463"];

$mostrar=false;
if (in_array($nit, $mostrarCodig)) {
   $mostrar=true;
}
//mostrar codigos de productos

foreach($fila as $valor) {

 
   $caja=$valor["Cantida_caja"];
   $frcc=$valor["Cantida_frcc"];
   $valot=($precio=$valor["precio"]);
   $Base=$valor["Base"];
  
  

   if($frcc==0 and $caja>0){
      $totalunida=$valot/$caja;
    }elseif($frcc>0 and $caja==0){
      $totalunida=$valot/$frcc;
   
     }elseif($frcc>0 and $caja>0){
   
      $totalunida=($Base/$caja);
      
   
   
     }

     $totalunida=number_format($totalunida);
     		

echo("<p class='produ'>") ; 
// echo( $codigo=$valor["Codigo"]);
if($mostrar){
   echo( $codigo=$valor["Codigo"]);
   echo(" ");
}

echo( $nombre=$valor["Nombre"]);

if($valor["Cantida_caja"]!=0){
echo(" ");
echo("Caja:". $caja=$valor["Cantida_caja"]);
}
echo(" ");
if($valor["Cantida_frcc"]!=0){
echo("Frcc:". $frcc=$valor["Cantida_frcc"]);
}
echo(" ");
echo("V.un:". $totalunida);
echo(" ");
echo("Precio:". number_format($precio=$valor["precio"])); 
echo("  : ".($precio=$valor["detalleProducCocina"])); 

echo("</p>");


echo("<br>");

   }

echo("<hr>");
//comun
print("<div id='totalll'>");
if($subtotal>0){
   echo(" <h6> Subtotal:  ".number_format($subtotal )."</h6>");
   echo("<h6> Iva:  ".number_format($totaliva)."</h6>");
}




if($descuento>0){
   echo("<h6> Dto:  ".number_format($descuento)."</h6>");

}



//fin comun



if($servicio>0){
   

   echo("<h6> Total:  ".number_format($total-$servicio)."</h6>");  
   
   echo("<h6> Servicio:  ".number_format($servicio)."</h6>");
   echo("<h6> Total+Servicio:  ".number_format($total)."</h6>");
}else{
   echo("<h6> Total:  ".number_format($total)."</h6>");
}


//echo("<h6> Cambio:  ".number_format($cambio)."</h6>");
print("</div>");
echo("<hr>");
?>
<!-- <div id="titulo">
 <h6>Detalle iva</h6>
</div> -->
<?php

//ccomun

$total5=$base5+$iva5;
$totall9=$base19+$iva19;

// echo"<table  WIDTH='100%'  >
// 	          <tr class='sr'>
// 	           <th>Tipo
// 				  <th>Base
// 				  <th>Iva
// 				  <th>Total              
//        </tr>  

//        <tr>    
//        <td>0       
//        <td>$excento
//        <td>0
//        <td>$excento
//        </tr>
//        <tr>    
//        <td>1         
//        <td>$excluido
//        <td>0
//        <td>$excluido
//        </tr>
//        <tr>    
//        <td>5%        
//        <td>$base5
//        <td>$iva5
//        <td>$total5
//        </tr>

//        <tr>    
//        <td>19%        
//        <td>$base19
//        <td>$iva19
//        <td>$totall9
//        </tr>


//      			</table><br>";


//fin comun

echo("<hr>");

?>
<div id="titulo">
<?php
if(isset($_POST["copia"])=="copia"){
  echo(" <h6>Copia</h6>");
}


?> 

<br>
  
   <!-- <h6>Muchas Gracias por su Compra</h6> -->
</div>









<script type='text/javascript'>
// window.print();
// setTimeout(window.close, 300);

function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
   
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);

 
  
 
</script>

</div>